Package: java.time

## Class DayOfWeek

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `boolean` | `isWeekday()` Returns `true` if the DayOfWeek is a weekday.
    `boolean` | `isWeekend()` Returns `true` if this day of the week is a weekend day (Saturday or Sunday).
    `DayOfWeek` | `minus(int days)` Returns the DayOfWeek that is `days` many days before this day of the week.
    `DayOfWeek` | `plus(int days)` Returns the DayOfWeek that is `days` many days after this day of the week.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public boolean isWeekday()

      Returns `true` if the DayOfWeek is a weekday.

      Returns:
        true if this DayOfWeek is Monday through Friday
      Since:
        2.5.0

    - #### public boolean isWeekend()

      Returns `true` if this day of the week is a weekend day (Saturday or Sunday).

      Returns:
        true if this DayOfWeek is Saturday or Sunday
      Since:
        2.5.0

    - #### public DayOfWeek minus(int days)

      Returns the DayOfWeek that is `days` many days before this day of the week.

      Parameters:
        `days` - the number of days to move back
      Returns:
        the DayOfWeek
      Since:
        2.5.0

    - #### public DayOfWeek plus(int days)

      Returns the DayOfWeek that is `days` many days after this day of the week.

      Parameters:
        `days` - the number of days to move forward
      Returns:
        the DayOfWeek
      Since:
        2.5.0